<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TableCell (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TableCell (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TableCell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TableCell.html" target="_top">Frames</a></li>
        <li><a href="TableCell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface TableCell" class="title">Interface TableCell&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                           title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a>, java.lang.Iterable&lt;P&gt;,
                        <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                           title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;, <a
                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;, <a
                                href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;, <a
                                href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">TableCell&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span>
extends <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
           title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S,P&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.sl.usermodel.TextShape">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextAutofit.html"
                                         title="enum in org.apache.poi.sl.usermodel">TextShape.TextAutofit</a>, <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextDirection</a>, <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextShape.TextPlaceholder</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">StrokeStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#getBorderStyle-org.apache.poi.sl.usermodel.TableCell.BorderEdge-">getBorderStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge)</code>
                                    <div class="block">Return line style of given edge or <code>null</code> if border is
                                        not defined
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#getGridSpan--">getGridSpan</a></span>()</code>
                                    <div class="block">Get the number of columns to be spanned/merged</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#getRowSpan--">getRowSpan</a></span>()</code>
                                    <div class="block">Get the number of rows to be spanned/merged</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#isMerged--">isMerged</a></span>()</code>
                                    <div class="block">Return if this cell is part of a merged cell.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#removeBorder-org.apache.poi.sl.usermodel.TableCell.BorderEdge-">removeBorder</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge)</code>
                                    <div class="block">Remove all line attributes of the given border edge</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#setBorderColor-org.apache.poi.sl.usermodel.TableCell.BorderEdge-java.awt.Color-">setBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                                    java.awt.Color&nbsp;color)</code>
                                    <div class="block">Convenience method for setting the border color.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#setBorderCompound-org.apache.poi.sl.usermodel.TableCell.BorderEdge-org.apache.poi.sl.usermodel.StrokeStyle.LineCompound-">setBorderCompound</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCompound.html"
                                       title="enum in org.apache.poi.sl.usermodel">StrokeStyle.LineCompound</a>&nbsp;compound)</code>
                                    <div class="block">Convenience method for setting the border line compound.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#setBorderDash-org.apache.poi.sl.usermodel.TableCell.BorderEdge-org.apache.poi.sl.usermodel.StrokeStyle.LineDash-">setBorderDash</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
                                       title="enum in org.apache.poi.sl.usermodel">StrokeStyle.LineDash</a>&nbsp;dash)</code>
                                    <div class="block">Convenience method for setting the border line dash.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#setBorderStyle-org.apache.poi.sl.usermodel.TableCell.BorderEdge-org.apache.poi.sl.usermodel.StrokeStyle-">setBorderStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                                       title="interface in org.apache.poi.sl.usermodel">StrokeStyle</a>&nbsp;style)</code>
                                    <div class="block">Sets the <a
                                            href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                                            title="interface in org.apache.poi.sl.usermodel"><code>StrokeStyle</code></a>
                                        of the given border edge.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html#setBorderWidth-org.apache.poi.sl.usermodel.TableCell.BorderEdge-double-">setBorderWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                                    double&nbsp;width)</code>
                                    <div class="block">Convenience method for setting the border width.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.TextShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#appendText-java.lang.String-boolean-">appendText</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getInsets--">getInsets</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getText--">getText</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextDirection--">getTextDirection</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextHeight--">getTextHeight</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextHeight-java.awt.Graphics2D-">getTextHeight</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextParagraphs--">getTextParagraphs</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextPlaceholder--">getTextPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getTextRotation--">getTextRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getVerticalAlignment--">getVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#getWordWrap--">getWordWrap</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#isHorizontalCentered--">isHorizontalCentered</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#resizeToFitText--">resizeToFitText</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#resizeToFitText-java.awt.Graphics2D-">resizeToFitText</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setHorizontalCentered-java.lang.Boolean-">setHorizontalCentered</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setInsets-org.apache.poi.sl.usermodel.Insets2D-">setInsets</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setText-java.lang.String-">setText</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setTextDirection-org.apache.poi.sl.usermodel.TextShape.TextDirection-">setTextDirection</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setTextPlaceholder-org.apache.poi.sl.usermodel.TextShape.TextPlaceholder-">setTextPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setTextRotation-java.lang.Double-">setTextRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setVerticalAlignment-org.apache.poi.sl.usermodel.VerticalAlignment-">setVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html#setWordWrap-boolean-">setWordWrap</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.SimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">SimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#createHyperlink--">createHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getGeometry--">getGeometry</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getHyperlink--">getHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getLineDecoration--">getLineDecoration</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getShadow--">getShadow</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getStrokeStyle--">getStrokeStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setFillColor-java.awt.Color-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setShapeType-org.apache.poi.sl.usermodel.ShapeType-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setStrokeStyle-java.lang.Object...-">setStrokeStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.geom.IAdjustableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.draw.geom.<a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                                        title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html#getAdjustValue-java.lang.String-">getAdjustValue</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PlaceableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getBorderStyle-org.apache.poi.sl.usermodel.TableCell.BorderEdge-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderStyle</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">StrokeStyle</a>&nbsp;getBorderStyle(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge)</pre>
                                <div class="block">Return line style of given edge or <code>null</code> if border is not
                                    defined
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>edge</code> - the border edge</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>line style of given edge or <code>null</code> if border is not defined</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderStyle-org.apache.poi.sl.usermodel.TableCell.BorderEdge-org.apache.poi.sl.usermodel.StrokeStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderStyle</h4>
                                <pre>void&nbsp;setBorderStyle(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                    <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                       title="interface in org.apache.poi.sl.usermodel">StrokeStyle</a>&nbsp;style)</pre>
                                <div class="block">Sets the <a
                                        href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel"><code>StrokeStyle</code></a> of
                                    the given border edge.
                                    A <code>null</code> property of the style is ignored.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>edge</code> - border edge</dd>
                                    <dd><code>style</code> - the new stroke style</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderWidth-org.apache.poi.sl.usermodel.TableCell.BorderEdge-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderWidth</h4>
                                <pre>void&nbsp;setBorderWidth(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                    double&nbsp;width)</pre>
                                <div class="block">Convenience method for setting the border width.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>edge</code> - border edge</dd>
                                    <dd><code>width</code> - the new border width</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderColor-org.apache.poi.sl.usermodel.TableCell.BorderEdge-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderColor</h4>
                                <pre>void&nbsp;setBorderColor(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                    java.awt.Color&nbsp;color)</pre>
                                <div class="block">Convenience method for setting the border color.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>edge</code> - border edge</dd>
                                    <dd><code>color</code> - the new border color</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderCompound-org.apache.poi.sl.usermodel.TableCell.BorderEdge-org.apache.poi.sl.usermodel.StrokeStyle.LineCompound-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderCompound</h4>
                                <pre>void&nbsp;setBorderCompound(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                       <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCompound.html"
                          title="enum in org.apache.poi.sl.usermodel">StrokeStyle.LineCompound</a>&nbsp;compound)</pre>
                                <div class="block">Convenience method for setting the border line compound.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>edge</code> - border edge</dd>
                                    <dd><code>compound</code> - the new border line compound</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderDash-org.apache.poi.sl.usermodel.TableCell.BorderEdge-org.apache.poi.sl.usermodel.StrokeStyle.LineDash-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderDash</h4>
                                <pre>void&nbsp;setBorderDash(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge,
                   <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
                      title="enum in org.apache.poi.sl.usermodel">StrokeStyle.LineDash</a>&nbsp;dash)</pre>
                                <div class="block">Convenience method for setting the border line dash.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>edge</code> - border edge</dd>
                                    <dd><code>dash</code> - the new border line dash</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeBorder-org.apache.poi.sl.usermodel.TableCell.BorderEdge-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeBorder</h4>
                                <pre>void&nbsp;removeBorder(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                        title="enum in org.apache.poi.sl.usermodel">TableCell.BorderEdge</a>&nbsp;edge)</pre>
                                <div class="block">Remove all line attributes of the given border edge</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>edge</code> - the border edge to be cleared</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getGridSpan--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGridSpan</h4>
                                <pre>int&nbsp;getGridSpan()</pre>
                                <div class="block">Get the number of columns to be spanned/merged</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the grid span</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowSpan--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowSpan</h4>
                                <pre>int&nbsp;getRowSpan()</pre>
                                <div class="block">Get the number of rows to be spanned/merged</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row span</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isMerged--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isMerged</h4>
                                <pre>boolean&nbsp;isMerged()</pre>
                                <div class="block">Return if this cell is part of a merged cell. The top/left cell of a
                                    merged region is not regarded as merged -
                                    its grid and/or row span is greater than one.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this a merged cell</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TableCell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TableCell.html" target="_top">Frames</a></li>
        <li><a href="TableCell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
